Requisition
Manage requisitions
List requisitions
Returns the list of all requisitions.
Request Information
GEThttps://api-test.hrpeak.com/v2/requisitions
The API uses basic authentication and the API key must be sent in the Authorization request header.
curl https://api-test.hrpeak.com/v2/requisitions
     -H "Authorization: API_KEY"
URI parameters
pageoptional
The zero-based page number. Data type is integer. Default value is 0.
per_pageoptional
The number of items per page. Maximum value is 1000. Data type is integer. Default value is 100.
statusoptional
Status of the requisition. Data type is integer.
Possible values
ValueText
0In Approval Process
1Open
2Closed
3Rejected
5Canceled
department_idoptional
List only requisitions in a specific department.
department_external_idoptional
List only requisitions in a specific department.
add_child_departmentsoptional
Also list the child departments. Data type is boolean.
owner_idoptional
List only the requisitions that a specific user own.
owner_external_idoptional
List only the requisitions that a specific user own.
recruiter_idoptional
List only requisitions to which a specific recruiter is assigned.
recruiter_external_idoptional
List only requisitions to which a specific recruiter is assigned.
Request Uri Sample
https://api-test.hrpeak.com/v2/requisitions/?page=0&per_page=20
https://api-test.hrpeak.com/v2/requisitions/?page=0&per_page=20&status=1&department_id=rkx7k844lktgwanzya6vwt3dfa
Response Information
id
Unique id of the requisition.
title
Title of the requisition.
ref_code
Unique reference code for each of requisitions.
department
Department of the requisition.
id
Unique id of the department.
name
Name of the department.
external_id
A unique string to associate the department to an external record.
position
Position of the requisition.
id
Unique id of the position.
name
Name of the position.
external_id
A unique string to associate the position to an external record.
location
Location of the requisition.
id
Unique id of the location.
name
Name of the location.
external_id
A unique string to associate the location to an external record.
owner
Requisition owner.
id
Unique id of the owner.
full_name
Name of the owner.
external_id
A unique string to associate the owner to an external record.
requested_employee_number
Requested employee number. Data type is integer.
job_id
Job posting id, if the requisition is published as a job posting.
status
Status of the requisition. Data type is integer.
Possible values
ValueText
0In Approval Process
1Open
2Closed
3Rejected
5Canceled
creation_date
Creation date of the requisition. Data type is datetime.
Sample Response
{
  "status": 0,
  "total_data_count": 1000,
  "data": [
    {
      "id": "j8527uekbrt3y8bt2dka53bkh3",
      "title": "Recruitment Specialist",
      "ref_code": "R001",
      "department": {
        "id": "4wwjeu6meq4qyqlybqryypgv2w",
        "name": "Recruiting Team",
        "external_id": "RT"
      },
      "position": {
        "id": "xyu3nnqr42mjwcbcweyv6jwzfq",
        "name": "HR Manager",
        "external_id": "HRMNG"
      },
      "owner": {
        "id": "s9539x4kk6mew9cjp5ydq5h3fq",
        "name": "Maria Simith",
        "external_id": "A0001"
      },
      "requested_employee_number": 1,
      "job_id": "d94eexg9atcryhlcnqxj2gtfhs",
      "status": 2,
      "creation_date": "2026-08-04T04:22:00Z"
    }
  ]
}
Error Responses
Error messages can vary. More specific error information may be included.
Internal server error
{
  "status": 500,
  "error_message": "A generic error has occurred on the server."
}
Get requisition form
Requisition form may contain custom fields. Get the requisition form custom fields.
Request Information
GEThttps://api-test.hrpeak.com/v2/requisitions/fields
The API uses basic authentication and the API key must be sent in the Authorization request header.
curl https://api-test.hrpeak.com/v2/requisitions/fields
     -H "Authorization: API_KEY"
URI parameters
languageoptional
Field title, description, and options can be multilingual. The language of the form. Data type is integer. Default value is English.
Possible values
ValueText
0English
1Turkish
Response Information
key
Unique code of the field.
text
Title of the field.
type
Type of the field. Data type is integer.
Possible values
ValueText
0Single Line Text
1Multi-line Text
2Numerical
3Yes / No
4Single Selection
5Multiple Selection
6Date
options
Options of the list control. The user can select from these options. This property value is an array.
value
The value of the option. When a user selects this option, the option value is saved in the database.
text
The text displayed in a list control for the option.
Sample Response
{
  "status": 0,
  "data": [
    {
      "key": "2ubu5yc8fn2zyhx5n9tucdmp6x",
      "text": "Example yes-no question.",
      "type": 4
    },
    {
      "key": "w75pvgva9cvhyclw6pypj2cgmw",
      "text": "Example choice question.",
      "type": 5,
      "options": [
        {
          "value": "A",
          "text": "Option 1"
        },
        {
          "value": "B",
          "text": "Option 2"
        }
      ]
    }
  ]
}
Error Responses
Error messages can vary. More specific error information may be included.
Internal server error
{
  "status": 500,
  "error_message": "A generic error has occurred on the server."
}
Get requisition
Returns the details of a requisition.
Request Information
GEThttps://api-test.hrpeak.com/v2/requisitions/{id}
The API uses basic authentication and the API key must be sent in the Authorization request header.
curl https://api-test.hrpeak.com/v2/requisitions/{id}
     -H "Authorization: API_KEY"
URI parameters
idrequired
Unique id of the requisition.
languageoptional
Field title, description, and options can be multilingual. The language of the form. Default value is English.
Possible values
ValueText
0English
1Turkish
Request Uri Sample
https://api-test.hrpeak.com/v2/requisitions/jfldb3jgv5yay6ms3zy3eypvf2
Response Information
title
Title of the requisition.
ref_code
Unique reference code for each of requisitions.
department
Department of the requisition.
id
Unique id of the department.
name
Name of the department.
external_id
A unique string to associate the department to an external record.
position
Position of the requisition.
id
Unique id of the position.
name
Name of the position.
external_id
A unique string to associate the position to an external record.
location
Location of the requisition.
id
Unique id of the location.
name
Name of the location.
external_id
A unique string to associate the location to an external record.
owner
Requisition owner.
id
Unique id of the owner.
full_name
Name of the owner.
external_id
A unique string to associate the owner to an external record.
requested_employee_number
Requested employee number. Data type is integer.
description
Description of the requisition.
job_posting
Job posting information, if the requisition is published as a job posting.
id
Unique id of the job.
title
Title of the job posting.
ref_code
Unique reference code for each of jobs
recruiters
Recruiters assigned to the requitions. This property value is an array.
id
Unique id of the recruiter.
full_name
Name of the recruiter.
external_id
A unique string to associate the recruiter to an external record.
field_values
Requisition form may contain custom fields. The whole custom fields list can be retrieved with “Get requisition form” method. List of the custom fields. This property value is an array.
key
Unique code of the field.
type
Type of the field. Data type is integer.
Possible values
ValueText
0Single Line Text
1Multi-line Text
2Numerical
3Yes / No
4Single Selection
5Multiple Selection
6Date
text
Title of the field.
value
The value of the field. A multi-select control can contain more than one value. Values are separated by a newline character.
extra_note
In addition to the value, the user can enter an extra note. Extra note of the value.
status
Status of the requisition. Data type is integer.
Possible values
ValueText
0In Approval Process
1Open
2Closed
3Rejected
5Canceled
creation_date
Creation date of the requisition. Data type is datetime.
Sample Response
{
  "status": 0,
  "data": {
    "title": "Recruitment Specialist",
    "ref_code": "R001",
    "department": {
      "id": "rkdca72yql6gygmdqqkkpz86u3",
      "name": "Recruiting Team",
      "external_id": "RT"
    },
    "position": {
      "id": "8uphcga5tgz6ypvl75pd24mnzx",
      "name": "HR Manager",
      "external_id": "HRMNG"
    },
    "owner": {
      "id": "at5xx76w5hcsygv7chfef587rw",
      "name": "Maria Simith",
      "external_id": "A0001"
    },
    "requested_employee_number": 1,
    "job_description": "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.",
    "required_qualifications": "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.",
    "job_posting": {
      "id": "gr9sqdyanl4vymckycj6blhxb2",
      "title": "Recruitment Specialist",
      "ref_code": "RS01"
    },
    "recruiters": [
      {
        "id": "6mskffaqcpvmy9cnk84m7vqrr3",
        "name": "Maria Simith",
        "external_id": "A0001"
      }
    ],
    "field_values": [
      {
        "key": "ezsfe6nxl6dtwcbqb4dvbkld8x",
        "type": 3,
        "text": "Example yes-no question.",
        "value": "1"
      },
      {
        "key": "4p2jrprpkmmlylnhky9qbx6mm3",
        "type": 4,
        "text": "Example choice question.",
        "value": "A"
      }
    ],
    "status": 2,
    "creation_date": "2026-08-04T04:22:00Z"
  }
}
Error Responses
Error messages can vary. More specific error information may be included.
Bad request
{
  "status": 400,
  "error_message": "Invalid request."
}
Not found
{
  "status": 404,
  "error_message": "Record not found."
}
Internal server error
{
  "status": 500,
  "error_message": "A generic error has occurred on the server."
}
Insert requisition
Create a new requisition.
Request Information
POSThttps://api-test.hrpeak.com/v2/requisitions
The API uses basic authentication and the API key must be sent in the Authorization request header.
curl -X POST https://api-test.hrpeak.com/v2/requisitions
     -H "Authorization: API_KEY"
     -d {JSON body}
JSON body object
titlerequired
Title of the title. Max length is 255.
ref_codeoptional
Unique reference code for each of requisitions. Max length is 50.
department_idoptional
Unique id of the department. Max length is 36.
department_external_idoptional
A unique string to associate the department to an external record. Max length is 50.
position_idoptional
Unique id of the position. Max length is 36.
position_external_idoptional
A unique string to associate the position to an external record. Max length is 50.
requested_employee_numberoptional
Requested employee number. Data type is integer. Default value is 1.
descriptionoptional
Description of the requisition. Max length is 4096.
custom_fieldsoptional
Requisition form may contain custom fields. The whole custom fields list can be retrieved with “Get requisition form” method. List of the custom fields. This property value is an array.
keyrequired
Unique code of the field. Max length is 36.
valuerequired
The value of the field. A multi-select control can contain more than one value. Values are separated by a newline character. Max length is 4096.
Request Body Sample
{
  "title": "Recruitment Specialist",
  "ref_code": "R001",
  "department_id": "6f6lfjnnu9q2wdnldkjghsuu9a",
  "position_external_id": "HRMNG",
  "custom_fields": [
    {
      "key": "sp4u7ewy93j2w3cgewlks7wyna",
      "value": "field value 1"
    },
    {
      "key": "2m8hqqsqallvy9mf5e87dqby6w",
      "value": "field value 2"
    }
  ]
}
Response Information
Unique id of the requisition.
Sample Response
{
  "status": 0,
  "data": "g2mj827erun9wrxp7vk28k3ncq"
}
Error Responses
Error messages can vary. More specific error information may be included.
Bad request
{
  "status": 400,
  "error_message": "Invalid request."
}
Organization not found
{
  "status": 5,
  "error_message": "Department item is not found. Add the department first or submit an existing department."
}
Position not found
{
  "status": 6,
  "error_message": "Position item is not found. Add the position first or submit an existing position."
}
Field not found
{
  "status": 7,
  "error_message": "Field is not found."
}
Internal server error
{
  "status": 500,
  "error_message": "A generic error has occurred on the server."
}